# std::mutex::mutex

From cppreference.com
< cpp‎ | thread‎ | mutex

constexpr mutex(); | (1) | (since C++11)
mutex( const mutex& ) = delete; | (2) | (since C++11)

1) Constructs the mutex. The mutex is in unlocked state after the constructor completes.
2) Copy constructor is deleted.

### Parameters

(none)

### Exceptions

`noexcept` specification:
noexcept

### Notes

Because the default constructor is `constexpr`, static mutexes are initialized as part of static non-local initialization, before any dynamic non-local initialization begins. This makes it safe to lock a mutex in a constructor of any static object.

### See also

C documentation for mtx_init

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/thread/mutex/mutex&oldid=91599"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template